---
audience: developer
components:
  - functions
  - serving
  - eventing
function: tutorial
---

# Welcome to the Knative Tutorial

### **Quick Start Tutorial**
Quickstart tutorial provides a simplified local installation to explore Knative Serving and Eventing features.

[Get Started :octicons-arrow-right-24:](../getting-started/README.md){ .md-button }

### **New: Knative's End-to-End Sample Application Tutorial**
Good starting point to learn Knative from scratch. Build an online bookstore application with Knative's powerful features.

[Get Started :octicons-arrow-right-24:](../bookstore/page-0/welcome-knative-bookstore-tutorial.md){ .md-button }


![image1](../bookstore/page-0/images/1.png)
